AuthConfigFactory (JASPIC 1.1 API Documentation - Apache Tomcat 9.0.69)

Package javax.security.auth.message.config

## Class AuthConfigFactory

- java.lang.Object
- - javax.security.auth.message.config.AuthConfigFactory

-     public abstract class AuthConfigFactory
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `AuthConfigFactory.RegistrationContext` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_FACTORY_SECURITY_PROPERTY` |
    `static java.lang.String` | `GET_FACTORY_PERMISSION_NAME` |
    `static java.security.SecurityPermission` | `getFactorySecurityPermission` |
    `static java.lang.String` | `PROVIDER_REGISTRATION_PERMISSION_NAME` |
    `static java.security.SecurityPermission` | `providerRegistrationSecurityPermission` |
    `static java.lang.String` | `SET_FACTORY_PERMISSION_NAME` |
    `static java.security.SecurityPermission` | `setFactorySecurityPermission` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthConfigFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract java.lang.String[]` | `detachListener​(RegistrationListener listener, java.lang.String layer, java.lang.String appContext)` |
    `abstract AuthConfigProvider` | `getConfigProvider​(java.lang.String layer, java.lang.String appContext, RegistrationListener listener)` |
    `static AuthConfigFactory` | `getFactory()` |
    `abstract AuthConfigFactory.RegistrationContext` | `getRegistrationContext​(java.lang.String registrationID)` |
    `abstract java.lang.String[]` | `getRegistrationIDs​(AuthConfigProvider provider)` |
    `abstract void` | `refresh()` |
    `abstract java.lang.String` | `registerConfigProvider​(java.lang.String className, java.util.Map properties, java.lang.String layer, java.lang.String appContext, java.lang.String description)` |
    `abstract java.lang.String` | `registerConfigProvider​(AuthConfigProvider provider, java.lang.String layer, java.lang.String appContext, java.lang.String description)` |
    `abstract boolean` | `removeRegistration​(java.lang.String registrationID)` |
    `static void` | `setFactory​(AuthConfigFactory factory)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FACTORY_SECURITY_PROPERTY

          public static final java.lang.String DEFAULT_FACTORY_SECURITY_PROPERTY

      See Also:
        Constant Field Values

    - #### GET_FACTORY_PERMISSION_NAME

          public static final java.lang.String GET_FACTORY_PERMISSION_NAME

      See Also:
        Constant Field Values

    - #### SET_FACTORY_PERMISSION_NAME

          public static final java.lang.String SET_FACTORY_PERMISSION_NAME

      See Also:
        Constant Field Values

    - #### PROVIDER_REGISTRATION_PERMISSION_NAME

          public static final java.lang.String PROVIDER_REGISTRATION_PERMISSION_NAME

      See Also:
        Constant Field Values

    - #### getFactorySecurityPermission

          public static final java.security.SecurityPermission getFactorySecurityPermission

    - #### setFactorySecurityPermission

          public static final java.security.SecurityPermission setFactorySecurityPermission

    - #### providerRegistrationSecurityPermission

          public static final java.security.SecurityPermission providerRegistrationSecurityPermission

  - ### Constructor Detail

    - #### AuthConfigFactory

          public AuthConfigFactory()

  - ### Method Detail

    - #### getFactory

          public static AuthConfigFactory getFactory()

    - #### setFactory

          public static void setFactory​(AuthConfigFactory factory)

    - #### getConfigProvider

          public abstract AuthConfigProvider getConfigProvider​(java.lang.String layer,
                                                               java.lang.String appContext,
                                                               RegistrationListener listener)

    - #### registerConfigProvider

          public abstract java.lang.String registerConfigProvider​(java.lang.String className,
                                                                  java.util.Map properties,
                                                                  java.lang.String layer,
                                                                  java.lang.String appContext,
                                                                  java.lang.String description)

    - #### registerConfigProvider

          public abstract java.lang.String registerConfigProvider​(AuthConfigProvider provider,
                                                                  java.lang.String layer,
                                                                  java.lang.String appContext,
                                                                  java.lang.String description)

    - #### removeRegistration

          public abstract boolean removeRegistration​(java.lang.String registrationID)

    - #### detachListener

          public abstract java.lang.String[] detachListener​(RegistrationListener listener,
                                                            java.lang.String layer,
                                                            java.lang.String appContext)

    - #### getRegistrationIDs

          public abstract java.lang.String[] getRegistrationIDs​(AuthConfigProvider provider)

    - #### getRegistrationContext

          public abstract AuthConfigFactory.RegistrationContext getRegistrationContext​(java.lang.String registrationID)

    - #### refresh

          public abstract void refresh()